//Include file for 48KHz to 8KHz.  Greatest Common Denominator (GCD) = 6/1.

#define HALFB 0						// Half band flag
#define NUPST 0						// Number of up stages
#define PVTFL 0						// Pivot flag
#define NDWNS 2						// Number of down stages


#define STAGE 2	/* Number of stages */
#define NOUTS 100	/* Interpolation factor */
#define NINPS 600	/* Decimation factor */

#define INTP1 1
#define DOWN1 3
#define LENG1 15		// LENG1 = length of stage filter
#define PLEN1 15		// PLEN1 = MLEN1/INTP1 (polyphase length)
#define MLEN1 15		// MLEN1 = LENG1 + enough to make even length for polyphase
#define SHFT1 -1
#define NINP1 (NINPS)		// DOWN0 (...or INTP0) = 600
#define SZIN1 (NINP1 + ((LENG1-1)/INTP1) + 1)  // 600 + ((15-1)/1 + 1) = 615

#define INTP2 1
#define DOWN2 2
#define LENG2 213		// LENG2 = length of stage filter
#define PLEN2 213		// PLEN2 = MLEN2/INTP2 (polyphase length)
#define MLEN2 213		// MLEN2 = LENG2 + enough to make even length for polyphase
#define SHFT2 -1
#define NINP2 (NINP1/DOWN1)			// NINP1/DOWN1 (or...INTP1 * NINP1)  600/3 = 200
#define SZIN2 (NINP2 + ((LENG2-1)/INTP2) + 1)	// 200 + ((213-1)/1) + 1 = 413

#define NINP3 (NINP2/DOWN2)	// NINP2/DOWN2 = 200/2 = 100
#define SZIN3 (NINP3 + 1)  	// for last decimation stage only = 101




#define OFFS1 (LENG1-1)/(2*DOWN1)	// 14/2*3 = 2.333
#define OFFS2 (LENG2-1)/(2*DOWN2)	// 212/2*2 = 53


#if OFFS2 < 1
#define OF2S2 1
#else
#define OF2S2 OFFS2
#endif

#define TOFS1 OFFS1							// 2.333
#define TOFS2 ((INTP2*TOFS1)/DOWN2 + OF2S2)	// 1*2.333/3 + 53 = 53


//#define DOFS3 (NOUTS-TOFS2)		// Used to strip filter delays off buffers

#define DOFS3 NOUTS
